Bug 1331395 - [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager killed by 11
Summary: [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 12:52 UTC by Vladimir Benes
Modified: 2016-11-03 19:09 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.4.0-0.1.git20160606.b769b4df.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:09:19 UTC


Attachments (Terms of Use)
more info attached not sure why it's not attached in faf report (101.68 KB, text/plain)
2016-04-28 12:53 UTC, Vladimir Benes
no flags Details
Patch 1/2 (4.94 KB, text/plain)
2016-05-04 19:16 UTC, Lubomir Rintel
no flags Details
Patch 2/2 (6.85 KB, text/plain)
2016-05-05 08:02 UTC, Lubomir Rintel
no flags Details
Patch 1/2 (5.42 KB, text/plain)
2016-05-10 14:04 UTC, Lubomir Rintel
no flags Details
Patch 2/2 (6.85 KB, text/plain)
2016-05-10 14:04 UTC, Lubomir Rintel
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-04-28 12:52:37 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/b2d302feb13eb7fd27ffebb0313c2b0f3b304f53/

reproducer: 
call('yum -y install usb_modeswitch ModemManager', shell=True)
call('systemctl restart ModemManager.service', shell=True)
call('for i in $(ls /sys/bus/usb/devices/usb*/authorized); do echo 0 > $i; done', shell=True)
call('for i in $(ls /sys/bus/usb/devices/usb*/authorized); do echo 1 > $i; done', shell=True)
sleep(15)
^^ this is very important changing to 20 and everything behave OK.

then test adds new novice mode connection for gsm device
    * Open wizard for adding new connection
    * Expect "Connection type"
    * Submit "gsm" in editor
    * Expect "Interface name"
    * Enter in editor (this means no device specified)
    * Expect "APN"
    * Submit "internet" in editor
    * Expect "Do you want to provide them\? \(yes\/no\) \[yes\]"
    * Submit "no" in editor
    * Expect "Do you want to add IP addresses\? \(yes\/no\) \[yes\]"
    * Submit "no" in editor
## crash is here when NM autoconnects created connection 
    * Bring "up" connection "gsm"
    Then "gsm" is visible with command "nmcli con show -a" in "10" seconds
     And Ping "redhat.com"

[root@wlan-intel-6200 NetworkManager]# rpm -qa NetworkManager*
NetworkManager-adsl-1.2.0-1.el7.x86_64
NetworkManager-libnm-1.2.0-1.el7.x86_64
NetworkManager-wwan-1.2.0-1.el7.x86_64
NetworkManager-bluetooth-1.2.0-1.el7.x86_64
NetworkManager-wifi-1.2.0-1.el7.x86_64
NetworkManager-tui-1.2.0-1.el7.x86_64
NetworkManager-config-server-1.2.0-1.el7.x86_64
NetworkManager-debuginfo-1.2.0-1.el7.x86_64
NetworkManager-1.2.0-1.el7.x86_64
NetworkManager-team-1.2.0-1.el7.x86_64
NetworkManager-glib-1.2.0-1.el7.x86_64
NetworkManager-libreswan-1.0.6-3.el7.x86_64

Comment 1 Vladimir Benes 2016-04-28 12:53:06 UTC
Created attachment 1151852 [details]
more info attached not sure why it's not attached in faf report

Comment 2 Martin Kyral 2016-04-28 15:29:47 UTC
(In reply to Vladimir Benes from comment #1)
> Created attachment 1151852 [details]
> more info attached not sure why it's not attached in faf report

FAF was misconfigured so it did not accept adding URLs to the report. This was fixed and deferred attachments were added to the reports so they're complete now.

Comment 3 Lubomir Rintel 2016-05-04 19:16:16 UTC
Created attachment 1153995 [details]
Patch 1/2

Comment 4 Lubomir Rintel 2016-05-05 08:02:46 UTC
Created attachment 1154121 [details]
Patch 2/2

Comment 5 Thomas Haller 2016-05-06 14:32:34 UTC
(In reply to Lubomir Rintel from comment #3)
> Created attachment 1153995 [details]
> Patch 1/2

I think the finish functions should always be called.

like:

if (!mm_sim_send_pin_finish (sim, result, &error)) {
    if (g_error_matches (error, G_IO_ERROR, G_IO_ERROR_CANCELLED)) {
        return;
    g_return_if_fail (self->priv->ctx && self->priv->ctx->step == 
                      CONNECT_STEP_UNLOCK);
    /* process failure... */
    return;
}
g_return_if_fail (self->priv->ctx && self->priv->ctx->step == 
                  CONNECT_STEP_UNLOCK);
/* process success... */

Comment 6 Thomas Haller 2016-05-06 14:35:33 UTC
(In reply to Lubomir Rintel from comment #4)
> Created attachment 1154121 [details]
> Patch 2/2

typo: "suririse"


otherwise, lgtm.


(I would use NM_IN_SET(new_state, NM_DEVICE_STATE_FAILED, NM_DEVICE_STATE_DISCONNECTED), but as you prefer).

Comment 7 Lubomir Rintel 2016-05-10 14:04:12 UTC
Created attachment 1155766 [details]
Patch 1/2

Comment 8 Lubomir Rintel 2016-05-10 14:04:52 UTC
Created attachment 1155767 [details]
Patch 2/2

Comment 9 Beniamino Galvani 2016-05-10 14:43:19 UTC
Patches look good.

Comment 13 errata-xmlrpc 2016-11-03 19:09:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.